首先说明一下我的系统版本,windows 7 64位,安装了64位的jdk 7,安装JDK的同时也装上了jre,但我打开这个页面玩metagun的时候,浏览器总提示我安装Java插件,这是为什么呢?

我只好点安装插件,并来到官网:

chrome java

居然发现有这提醒,是说我同时在用32位和64位浏览器?点进去看具体情况:

chrome java

原来这个jre并不仅仅跟系统有关,如果你用了32位的浏览器,还是需要再装32位的jre,而我之前装的jdk因为是64位的,所以自带的jre也是64位的,在Chrome下就使用不了了,然后我就下了个32位的jre装上,之后重启一下浏览器,终于可以运行java插件了。

chrome java

Chrome是不是该考虑出个64位版本了呢?